Bug 1265357 - [abrt] nautilus: nautilus killed by SIGSEGV
[abrt] nautilus: nautilus killed by SIGSEGV
Status: NEW
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:907b22d1996b4ce178f1263cabd...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 14:14 EDT by Mikhail
Modified: 2018-05-07 15:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:41:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.71 KB, text/plain)
2015-09-22 14:15 EDT, Mikhail
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-22 14:15 EDT, Mikhail
no flags Details
File: core_backtrace (6.56 KB, text/plain)
2015-09-22 14:15 EDT, Mikhail
no flags Details
File: dso_list (12.72 KB, text/plain)
2015-09-22 14:15 EDT, Mikhail
no flags Details
File: environ (1019 bytes, text/plain)
2015-09-22 14:15 EDT, Mikhail
no flags Details
File: exploitable (82 bytes, text/plain)
2015-09-22 14:15 EDT, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-22 14:15 EDT, Mikhail
no flags Details
File: maps (64.79 KB, text/plain)
2015-09-22 14:15 EDT, Mikhail
no flags Details
File: mountinfo (3.94 KB, text/plain)
2015-09-22 14:15 EDT, Mikhail
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-22 14:15 EDT, Mikhail
no flags Details
File: open_fds (1.84 KB, text/plain)
2015-09-22 14:15 EDT, Mikhail
no flags Details
File: proc_pid_status (1013 bytes, text/plain)
2015-09-22 14:15 EDT, Mikhail
no flags Details
File: var_log_messages (316 bytes, text/plain)
2015-09-22 14:15 EDT, Mikhail
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Gitlab GNOME/nautilus/issues/409 None None None 2018-05-07 15:45 EDT

  None (edit)
Description Mikhail 2015-09-22 14:14:58 EDT
Version-Release number of selected component:
nautilus-3.17.91-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 3
cmdline:        /usr/bin/nautilus --gapplication-service
executable:     /usr/bin/nautilus
global_pid:     12027
kernel:         4.2.0-300.fc23.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 ??
 #1 beyondcompare_get_file_items at bcompare-nautilus.c:730
 #2 get_extension_selection_menu_items at nautilus-files-view.c:4183
 #3 update_extensions_menus at nautilus-files-view.c:4339
 #4 real_update_context_menus at nautilus-files-view.c:6626
 #13 _gtk_clipboard_handle_event at gtkclipboard.c:2024
 #14 gtk_main_do_event at gtkmain.c:1612
 #19 g_main_context_iteration at gmain.c:3901
 #20 g_application_run at gapplication.c:2311
Comment 1 Mikhail 2015-09-22 14:15:03 EDT
Created attachment 1075949 [details]
File: backtrace
Comment 2 Mikhail 2015-09-22 14:15:04 EDT
Created attachment 1075950 [details]
File: cgroup
Comment 3 Mikhail 2015-09-22 14:15:06 EDT
Created attachment 1075951 [details]
File: core_backtrace
Comment 4 Mikhail 2015-09-22 14:15:08 EDT
Created attachment 1075952 [details]
File: dso_list
Comment 5 Mikhail 2015-09-22 14:15:09 EDT
Created attachment 1075953 [details]
File: environ
Comment 6 Mikhail 2015-09-22 14:15:11 EDT
Created attachment 1075954 [details]
File: exploitable
Comment 7 Mikhail 2015-09-22 14:15:12 EDT
Created attachment 1075955 [details]
File: limits
Comment 8 Mikhail 2015-09-22 14:15:15 EDT
Created attachment 1075956 [details]
File: maps
Comment 9 Mikhail 2015-09-22 14:15:16 EDT
Created attachment 1075957 [details]
File: mountinfo
Comment 10 Mikhail 2015-09-22 14:15:18 EDT
Created attachment 1075958 [details]
File: namespaces
Comment 11 Mikhail 2015-09-22 14:15:19 EDT
Created attachment 1075959 [details]
File: open_fds
Comment 12 Mikhail 2015-09-22 14:15:21 EDT
Created attachment 1075960 [details]
File: proc_pid_status
Comment 13 Mikhail 2015-09-22 14:15:22 EDT
Created attachment 1075961 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 07:33:23 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 09:41:21 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Mikhail 2018-05-07 15:22:54 EDT
Crash occurred when I was watched properties of video file.
Comment 17 Mikhail 2018-05-07 15:35:45 EDT
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/usr/bin/nautilus --gapplication-service'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x00007f20969f7f00 in ?? ()
[Current thread is 1 (Thread 0x7f20f2de0ac0 (LWP 9787))]
(gdb) thread apply all bt

Thread 14 (Thread 0x7f20af257700 (LWP 10169)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007f20f059c44e in g_cond_wait_until (cond=cond@entry=0x55f36a3aea88, mutex=mutex@entry=0x55f36a3aea80, end_time=end_time@entry=2199100457) at gthread-posix.c:1449
#2  0x00007f20f05280e1 in g_async_queue_pop_intern_unlocked (queue=0x55f36a3aea80, wait=wait@entry=1, end_time=2199100457) at gasyncqueue.c:422
#3  0x00007f20f052871c in g_async_queue_timeout_pop_unlocked (queue=<optimized out>, timeout=timeout@entry=500000) at gasyncqueue.c:570
#4  0x00007f20f057e832 in g_thread_pool_wait_for_new_task (pool=<optimized out>) at gthreadpool.c:262
#5  g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:296
#6  0x00007f20f057dcea in g_thread_proxy (data=0x7f20b8010400) at gthread.c:784
#7  0x00007f20ef2a65f4 in start_thread (arg=<optimized out>) at pthread_create.c:463
#8  0x00007f20eefd9f2f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f205e2cd700 (LWP 10213)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007f20f059c44e in g_cond_wait_until (cond=cond@entry=0x55f36a3aea88, mutex=mutex@entry=0x55f36a3aea80, end_time=end_time@entry=2199072958) at gthread-posix.c:1449
#2  0x00007f20f05280e1 in g_async_queue_pop_intern_unlocked (queue=0x55f36a3aea80, wait=wait@entry=1, end_time=2199072958) at gasyncqueue.c:422
#3  0x00007f20f052871c in g_async_queue_timeout_pop_unlocked (queue=<optimized out>, timeout=timeout@entry=500000) at gasyncqueue.c:570
#4  0x00007f20f057e832 in g_thread_pool_wait_for_new_task (pool=<optimized out>) at gthreadpool.c:262
#5  g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:296
#6  0x00007f20f057dcea in g_thread_proxy (data=0x55f36a5e7f70) at gthread.c:784
#7  0x00007f20ef2a65f4 in start_thread (arg=<optimized out>) at pthread_create.c:463
#8  0x00007f20eefd9f2f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f20bfae3700 (LWP 10166)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007f20f059c44e in g_cond_wait_until (cond=cond@entry=0x55f36a3aea88, mutex=mutex@entry=0x55f36a3aea80, end_time=end_time@entry=2199100610) at gthread-posix.c:1449
#2  0x00007f20f05280e1 in g_async_queue_pop_intern_unlocked (queue=0x55f36a3aea80, wait=wait@entry=1, end_time=2199100610) at gasyncqueue.c:422
#3  0x00007f20f052871c in g_async_queue_timeout_pop_unlocked (queue=<optimized out>, timeout=timeout@entry=500000) at gasyncqueue.c:570
#4  0x00007f20f057e832 in g_thread_pool_wait_for_new_task (pool=<optimized out>) at gthreadpool.c:262
#5  g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:296
#6  0x00007f20f057dcea in g_thread_proxy (data=0x7f20b8010050) at gthread.c:784
#7  0x00007f20ef2a65f4 in start_thread (arg=<optimized out>) at pthread_create.c:463
#8  0x00007f20eefd9f2f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f20c4cdf700 (LWP 10168)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007f20f059c44e in g_cond_wait_until (cond=cond@entry=0x55f36a3aea88, mutex=mutex@entry=0x55f36a3aea80, end_time=end_time@entry=2199100628) at gthread-posix.c:1449
#2  0x00007f20f05280e1 in g_async_queue_pop_intern_unlocked (queue=0x55f36a3aea80, wait=wait@entry=1, end_time=2199100628) at gasyncqueue.c:422
#3  0x00007f20f052871c in g_async_queue_timeout_pop_unlocked (queue=<optimized out>, timeout=timeout@entry=500000) at gasyncqueue.c:570
#4  0x00007f20f057e832 in g_thread_pool_wait_for_new_task (pool=<optimized out>) at gthreadpool.c:262
#5  g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:296
#6  0x00007f20f057dcea in g_thread_proxy (data=0x7f20b4065320) at gthread.c:784
#7  0x00007f20ef2a65f4 in start_thread (arg=<optimized out>) at pthread_create.c:463
#8  0x00007f20eefd9f2f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f209947c700 (LWP 10202)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007f20f059c44e in g_cond_wait_until (cond=cond@entry=0x55f36a3aea88, mutex=mutex@entry=0x55f36a3aea80, end_time=end_time@entry=2199100511) at gthread-posix.c:1449
#2  0x00007f20f05280e1 in g_async_queue_pop_intern_unlocked (queue=0x55f36a3aea80, wait=wait@entry=1, end_time=2199100511) at gasyncqueue.c:422
#3  0x00007f20f052871c in g_async_queue_timeout_pop_unlocked (queue=<optimized out>, timeout=timeout@entry=500000) at gasyncqueue.c:570
#4  0x00007f20f057e832 in g_thread_pool_wait_for_new_task (pool=<optimized out>) at gthreadpool.c:262
---Type <return> to continue, or q <return> to quit---
#5  g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:296
#6  0x00007f20f057dcea in g_thread_proxy (data=0x55f36a5cf000) at gthread.c:784
#7  0x00007f20ef2a65f4 in start_thread (arg=<optimized out>) at pthread_create.c:463
#8  0x00007f20eefd9f2f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f209847a700 (LWP 10192)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x7f20a802fdc4) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x7f20a802fd70, cond=0x7f20a802fd98) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=cond@entry=0x7f20a802fd98, mutex=mutex@entry=0x7f20a802fd70) at pthread_cond_wait.c:655
#3  0x00007f209eee1af3 in cnd_wait (mtx=0x7f20a802fd70, cond=0x7f20a802fd98) at ../../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x7f20a8016300) at u_queue.c:255
#5  0x00007f209eee180b in impl_thrd_routine (p=<optimized out>) at ../../include/c11/threads_posix.h:87
#6  0x00007f20ef2a65f4 in start_thread (arg=<optimized out>) at pthread_create.c:463
#7  0x00007f20eefd9f2f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f2097c79700 (LWP 10190)):
#0  0x00007f20eefcf469 in __GI___poll (fds=0x7f20a800b5a0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f20f0555b06 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f20a800b5a0, timeout=<optimized out>, context=0x7f2090002740) at gmain.c:4204
#2  g_main_context_iterate (context=0x7f2090002740, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3898
#3  0x00007f20f0555ec2 in g_main_loop_run (loop=0x7f20900020f0) at gmain.c:4099
#4  0x00007f20ac3455db in _event_thread_main (display=0x7f20a8002040) at gstgldisplay.c:143
#5  0x00007f20f057dcea in g_thread_proxy (data=0x55f36a5bd8f0) at gthread.c:784
#6  0x00007f20ef2a65f4 in start_thread (arg=<optimized out>) at pthread_create.c:463
#7  0x00007f20eefd9f2f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f20e1442700 (LWP 10188)):
#0  0x00007f20eefcf469 in __GI___poll (fds=0x7f20d8009820, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f20f0555b06 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f20d8009820, timeout=<optimized out>, context=0x7f20d800cca0) at gmain.c:4204
#2  g_main_context_iterate (context=0x7f20d800cca0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3898
#3  0x00007f20f0555ec2 in g_main_loop_run (loop=0x7f20d800b3a0) at gmain.c:4099
#4  0x00007f20ac3455db in _event_thread_main (display=0x55f36970ec50) at gstgldisplay.c:143
#5  0x00007f20f057dcea in g_thread_proxy (data=0x7f20b406ce30) at gthread.c:784
#6  0x00007f20ef2a65f4 in start_thread (arg=<optimized out>) at pthread_create.c:463
#7  0x00007f20eefd9f2f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f20e2444700 (LWP 9808)):
#0  0x00007f20eefcf469 in __GI___poll (fds=0x55f36966c250, nfds=2, timeout=3574) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f20f0555b06 in g_main_context_poll (priority=<optimized out>, n_fds=2, fds=0x55f36966c250, timeout=<optimized out>, context=0x55f36966af00) at gmain.c:4204
#2  g_main_context_iterate (context=context@entry=0x55f36966af00, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3898
#3  0x00007f20f0555c30 in g_main_context_iteration (context=0x55f36966af00, may_block=may_block@entry=1) at gmain.c:3964
#4  0x00007f20f0555c81 in glib_worker_main (data=<optimized out>) at gmain.c:5773
#5  0x00007f20f057dcea in g_thread_proxy (data=0x55f36966b400) at gthread.c:784
#6  0x00007f20ef2a65f4 in start_thread (arg=<optimized out>) at pthread_create.c:463
#7  0x00007f20eefd9f2f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f20e0a34700 (LWP 10102)):
#0  0x00007f20eefcf469 in __GI___poll (fds=0x55f3696be700, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f20f0555b06 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x55f3696be700, timeout=<optimized out>, context=0x55f3696be790) at gmain.c:4204
#2  g_main_context_iterate (context=context@entry=0x55f3696be790, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3898
#3  0x00007f20f0555c30 in g_main_context_iteration (context=context@entry=0x55f3696be790, may_block=may_block@entry=1) at gmain.c:3964
#4  0x00007f20e0a3ce4d in dconf_gdbus_worker_thread (user_data=0x55f3696be790) at ../gdbus/dconf-gdbus-thread.c:82
---Type <return> to continue, or q <return> to quit---
#5  0x00007f20f057dcea in g_thread_proxy (data=0x55f36966b4f0) at gthread.c:784
#6  0x00007f20ef2a65f4 in start_thread (arg=<optimized out>) at pthread_create.c:463
#7  0x00007f20eefd9f2f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f205eace700 (LWP 10212)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007f20f059c44e in g_cond_wait_until (cond=cond@entry=0x55f36a3aea88, mutex=mutex@entry=0x55f36a3aea80, end_time=end_time@entry=2199073052) at gthread-posix.c:1449
#2  0x00007f20f05280e1 in g_async_queue_pop_intern_unlocked (queue=0x55f36a3aea80, wait=wait@entry=1, end_time=2199073052) at gasyncqueue.c:422
#3  0x00007f20f052871c in g_async_queue_timeout_pop_unlocked (queue=<optimized out>, timeout=timeout@entry=500000) at gasyncqueue.c:570
#4  0x00007f20f057e832 in g_thread_pool_wait_for_new_task (pool=<optimized out>) at gthreadpool.c:262
#5  g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:296
#6  0x00007f20f057dcea in g_thread_proxy (data=0x55f36a5e4cf0) at gthread.c:784
#7  0x00007f20ef2a65f4 in start_thread (arg=<optimized out>) at pthread_create.c:463
#8  0x00007f20eefd9f2f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f20bcc0f700 (LWP 10170)):
#0  0x00007f20eefd1887 in __GI___select (nfds=27, readfds=readfds@entry=0x7f20bcc0e910, writefds=writefds@entry=0x0, exceptfds=exceptfds@entry=0x0, timeout=timeout@entry=0x0)
    at ../sysdeps/unix/sysv/linux/select.c:41
#1  0x00007f20f059e300 in g_spawn_sync (working_directory=working_directory@entry=0x0, argv=argv@entry=0x7f20a0005800, envp=envp@entry=0x0, flags=flags@entry=G_SPAWN_SEARCH_PATH, 
    child_setup=child_setup@entry=0x7f20efb5e310 <child_setup>, user_data=<optimized out>, standard_output=0x0, standard_error=0x7f20bcc0ea40, exit_status=0x7f20bcc0ea3c, error=0x7f20bcc0eaa0) at gspawn.c:384
#2  0x00007f20efb5f0b0 in gnome_desktop_thumbnail_script_exec () at gnome-desktop-thumbnail-script.c:812
#3  0x00007f20efb4537e in gnome_desktop_thumbnail_factory_generate_thumbnail () at gnome-desktop-thumbnail.c:1077
#4  0x000055f367b9f2d6 in thumbnail_thread_func (task=<optimized out>, source_object=<optimized out>, task_data=<optimized out>, cancellable=<optimized out>) at ../src/nautilus-thumbnails.c:528
#5  0x00007f20f0b028d7 in g_task_thread_pool_thread (thread_data=0x55f36a38b1b0, pool_data=<optimized out>) at gtask.c:1331
#6  0x00007f20f057e6f3 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:307
#7  0x00007f20f057dcea in g_thread_proxy (data=0x7f20b405f4f0) at gthread.c:784
#8  0x00007f20ef2a65f4 in start_thread (arg=<optimized out>) at pthread_create.c:463
#9  0x00007f20eefd9f2f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f20e1c43700 (LWP 9809)):
#0  0x00007f20eefcf469 in __GI___poll (fds=0x7f20d4009140, nfds=5, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f20f0555b06 in g_main_context_poll (priority=<optimized out>, n_fds=5, fds=0x7f20d4009140, timeout=<optimized out>, context=0x55f369682600) at gmain.c:4204
#2  g_main_context_iterate (context=0x55f369682600, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3898
#3  0x00007f20f0555ec2 in g_main_loop_run (loop=0x55f369682740) at gmain.c:4099
#4  0x00007f20f0b456ba in gdbus_shared_thread_func (user_data=0x55f3696825d0) at gdbusprivate.c:275
#5  0x00007f20f057dcea in g_thread_proxy (data=0x55f36966b4a0) at gthread.c:784
#6  0x00007f20ef2a65f4 in start_thread (arg=<optimized out>) at pthread_create.c:463
#7  0x00007f20eefd9f2f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f20f2de0ac0 (LWP 9787)):
#0  0x00007f20969f7f00 in ?? ()
#1  0x00007f209edd73b6 in pipe_resource_reference (tex=0x0, ptr=0x7f20b818bcb0) at ./util/u_inlines.h:144
#2  vl_compositor_cleanup_state (s=s@entry=0x7f20b818bc98) at vl/vl_compositor.c:1466
#3  0x00007f209edc49b9 in vlVaTerminate (ctx=<optimized out>) at context.c:387
#4  0x00007f20ac599925 in vaTerminate (dpy=0x7f20b81983c0) at va.c:751
#5  0x00007f20ad2b9b66 in gst_vaapi_display_destroy (display=0x55f36a09c890) at gstvaapidisplay.c:835
#6  gst_vaapi_display_finalize (object=0x55f36a09c890) at gstvaapidisplay.c:1063
#7  0x00007f20f0834fb9 in g_object_unref (_object=0x55f36a09c890) at gobject.c:3340
#8  0x00007f20c5f748b9 in gst_object_unref (object=<optimized out>) at gstobject.c:266
#9  0x00007f20c5f74b20 in gst_object_replace (oldobj=oldobj@entry=0x55f36a1b7b88, newobj=newobj@entry=0x0) at gstobject.c:343
#10 0x00007f20ad2babc9 in gst_vaapi_display_replace (old_display_ptr=old_display_ptr@entry=0x55f36a1b7b88, new_display=new_display@entry=0x0) at gstvaapidisplay.c:1227
---Type <return> to continue, or q <return> to quit---
#11 0x00007f20ad30fa7e in gst_vaapi_display_egl_finalize (object=0x55f36a1b7b20) at gstvaapidisplay_egl.c:305
#12 0x00007f20f0834fb9 in g_object_unref (_object=0x55f36a1b7b20) at gobject.c:3340
#13 0x00007f20f0856f74 in g_value_unset (value=value@entry=0x7f20b812da18) at gvalue.c:275
#14 0x00007f20c5fe416c in gst_structure_free (structure=0x55f36991cc20) at gststructure.c:385
#15 0x00007f20c5f93c10 in _gst_context_free (context=0x55f36a0eea40) at gstcontext.c:107
#16 0x00007f20c5fa06d8 in gst_context_unref (context=0x55f36a0eea40) at ../gst/gstcontext.h:74
#17 gst_element_change_state_func (element=0x55f36a3504d0, transition=<optimized out>) at gstelement.c:3186
#18 0x00007f20c5f7f80b in gst_bin_change_state_func (element=0x55f36a3504d0, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstbin.c:3017
#19 0x00007f20c5fa28c2 in gst_element_change_state (element=element@entry=0x55f36a3504d0, transition=transition@entry=GST_STATE_CHANGE_PAUSED_TO_READY) at gstelement.c:2952
#20 0x00007f20c5fa2fee in gst_element_set_state_func (element=0x55f36a3504d0, state=GST_STATE_READY) at gstelement.c:2906
#21 0x00007f20c629f589 in discoverer_cleanup (dc=0x55f36a1b7620) at gstdiscoverer.c:1729
#22 0x00007f20eaf6303e in ffi_call_unix64 () at ../src/x86/unix64.S:76
#23 0x00007f20eaf629ff in ffi_call () at ../src/x86/ffi64.c:525
#24 0x00007f20f08305a5 in g_cclosure_marshal_generic (closure=<optimized out>, return_gvalue=<optimized out>, n_param_values=<optimized out>, param_values=<optimized out>, invocation_hint=<optimized out>, 
    marshal_data=<optimized out>) at gclosure.c:1490
#25 0x00007f20f082fadd in g_closure_invoke (closure=0x55f36a57b4d0, return_value=0x0, n_param_values=2, param_values=0x7fff4fd28780, invocation_hint=0x7fff4fd28700) at gclosure.c:804
#26 0x00007f20f0842eb3 in signal_emit_unlocked_R (node=node@entry=0x55f36a42ccc0, detail=detail@entry=562, instance=instance@entry=0x55f36a3cb080, emission_return=emission_return@entry=0x0, 
    instance_and_params=instance_and_params@entry=0x7fff4fd28780) at gsignal.c:3635
#27 0x00007f20f084bfda in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7fff4fd28960) at gsignal.c:3391
#28 0x00007f20f084c5d3 in g_signal_emit (instance=instance@entry=0x55f36a3cb080, signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3447
#29 0x00007f20c5f88558 in gst_bus_async_signal_func (bus=0x55f36a3cb080, message=0x7f2038002940, data=<optimized out>) at gstbus.c:1253
#30 0x00007f20c5f893e1 in gst_bus_source_dispatch (source=0x55f36a43a440, callback=0x7f20c5f88500 <gst_bus_async_signal_func>, user_data=0x0) at gstbus.c:841
#31 0x00007f20f05557cd in g_main_dispatch (context=0x55f369675d20) at gmain.c:3177
#32 g_main_context_dispatch (context=context@entry=0x55f369675d20) at gmain.c:3830
#33 0x00007f20f0555b98 in g_main_context_iterate (context=context@entry=0x55f369675d20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3903
#34 0x00007f20f0555c30 in g_main_context_iteration (context=context@entry=0x55f369675d20, may_block=may_block@entry=1) at gmain.c:3964
#35 0x00007f20f0b18625 in g_application_run (application=0x55f369660140, argc=<optimized out>, argv=0x7fff4fd28d08) at gapplication.c:2470
#36 0x000055f367b527a4 in main (argc=2, argv=0x7fff4fd28d08) at ../src/nautilus-main.c:84
(gdb) 
(gdb) 
(gdb)

Note You need to log in before you can comment on or make changes to this bug.